/*
 * This work is part of the White Rabbit Node Core project.
 *
 * Copyright (C) 2013-2014 CERN (www.cern.ch)
 * Author: Federico Vaga <federico.vaga@cern.ch>
 * License: MPL2
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

#include "mockturtle-rt.h"
#include "fw-svec-common.h"

SMEM volatile int autosvec_run;
#ifndef SIMULATION
SMEM volatile int autosvec_led_period = 0x1FFFF;
SMEM volatile int autosvec_lemo3_period = 0x1FFFF;
SMEM volatile int autosvec_lemo4_period = 0x3FFFF;
SMEM volatile int autosvec_print_period = 0xFFFFF;
#else
SMEM volatile int autosvec_led_period = 0x1;
SMEM volatile int autosvec_lemo3_period = 0x1;
SMEM volatile int autosvec_lemo4_period = 0x3;
SMEM volatile int autosvec_print_period = 0x7;
#endif
