#ifndef __TRTL_CONFIG_ROM_H__
#define  __TRTL_CONFIG_ROM_H__

#define TRTL_CONFIG_ROM_SIGNATURE 0x5452544c

/**
 * The synthesis configuration ROM descriptor shows useful configuration
 * options during synthesis.
 */
struct trtl_config_rom {
	uint32_t signature; /**< we expect to see a known value */
	uint32_t version; /**< Mock Turtle version */
	uint32_t pad;
	uint32_t clock_freq;
	uint32_t flags;
	uint32_t app_id; /**< Application ID */
	uint32_t n_cpu; /**< number of CPU */
	uint32_t smem_size; /**< shared memory size */
	uint32_t hmq_width;
};

#endif
