/**
 * @defgroup library Mock Turtle Firmware Library
 * @{
 * @copyright (C) 2013-2016 CERN (www.cern.ch)
 * @author Federico Vaga <federico.vaga@cern.ch>
 * @author Tomasz Wlostowski <tomasz.wlostowski@cern.ch>
 *
 * SPDX-License-Identifier: MPL-2.0
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

#ifndef __MOCKTURTLE_RT_H
#define __MOCKTURTLE_RT_H

#include <stdint.h>

#include "mockturtle-rt-mqueue.h"
#include "mockturtle-rt-message.h"
#include "mockturtle-rt-common.h"
#include "mockturtle-rt-smem.h"
#include "mockturtle-rt-serial.h"

#endif
/**@}*/
