/*
 * Copyright (C) 2014 CERN (www.cern.ch)
 * Author: Federico Vaga <federico.vaga@cern.ch>
 *
 * Define here the internal API
 */


#ifndef __LIBSVEC_INTERNAL__H__
#define __LIBSVEC_INTERNAL__H__

#include <stdlib.h>
#include <libsvec.h>


/**
 * Description of a fmc-svec-carrier device
 */
struct svec_desc {
	struct trtl_dev *trtl; /**< WRNC device associated */
	uint32_t dev_id; /**< fmc device id */
	uint32_t app_id; /**< Application id */
	uint32_t n_cpu; /**< Number of CPUs */
};

#endif
