#include <mockturtle-rt-serial.h>
#include <mockturtle-rt-profile.h>

#define PROFILE_PROBE_ID0 0
#define PROFILE_PROBE_ID1 1
static int num = 0;


static void profile_short(void)
{
	int i = 0;

	pr_debug("%s:%d\n\r", __func__, __LINE__);
	trtl_tpu_probe_trigger(3); /* start */
	for (i = 0; i < 100; ++i)
		num *= 2;
	trtl_tpu_probe_trigger(4); /* end */
	pr_debug("%s:%d\n\r", __func__, __LINE__);
}

static void profile_long(void)
{
	int i = 0;

	pr_debug("%s:%d\n\r", __func__, __LINE__);
	trtl_tpu_probe_trigger(5); /* start */
	for (i = 0; i < 10000; ++i) {
		num /= 2;
		num++;
	}
	trtl_tpu_probe_trigger(6); /* end */
	pr_debug("%s:%d\n\r", __func__, __LINE__);
}


static void profile_func(void)
{
	pr_debug("%s:%d\n\r", __func__, __LINE__);
	trtl_tpu_profile_start(1);
	profile_short();
	profile_long();
	trtl_tpu_profile_stop(2);
	pr_debug("%s:%d\n\r", __func__, __LINE__);
}

int main()
{
	pr_debug("%s:%d\n\r", __func__, __LINE__);
	profile_func();
	pr_debug("%s:%d\n\r", __func__, __LINE__);

	return 0;
}
