action = "synthesis"
target = "xilinx"

fetchto = "../../ip_cores"

syn_device  = "xc6slx150t"
syn_grade   = "-3"
syn_package = "fgg900"
syn_top     = "svec_mt_demo"
syn_project = "svec_mt_demo.xise"
top_module  = "svec_mt_demo"
syn_tool    = "ise"

syn_post_project_cmd = "$(TCL_INTERPRETER) " + \
                       fetchto + "/general-cores/tools/sdb_desc_gen.tcl " + \
                       syn_tool + " $(PROJECT_FILE)"

files = [
    "svec_mt_demo.ucf",
]

modules = {
    "local" : [
        "../../top/svec_mt_demo",
    ],
    "git" : [
        "git://ohwr.org/hdl-core-lib/general-cores.git",
        "git://ohwr.org/hdl-core-lib/urv-core.git",
        "git://ohwr.org/hdl-core-lib/vme64x-core.git",
    ],
}
