/**
 * @defgroup framework Mock Turtle Firmware Framework
 * @{
 * @copyright (C) 2015-2016 CERN (www.cern.ch)
 * @author Federico Vaga <federico.vaga@cern.ch>
 *
 * SPDX-License-Identifier: MPL-2.0
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

#ifndef __TRTL_FW_FRM_H__
#define __TRTL_FW_FRM_H__

#include <generated/autoconf.h>
#include "mockturtle-rt.h"
#include "mockturtle-frm-action.h"
#include "mockturtle-frm-mqueue.h"
#include "mockturtle-frm-common.h"
#include "mockturtle-frm-debug.h"
#include "mockturtle-frm-variable.h"

#endif
/**@}*/
