/**
 * @defgroup framework-buffer Framework Buffer
 * @{
 * @ingroup framework
 * @brief Buffer exchange mechanism
 * @copyright (C) 2015-2016 CERN (www.cern.ch)
 * @author Federico Vaga <federico.vaga@cern.ch>
 *
 * SPDX-License-Identifier: MPL-2.0
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

#ifndef __TRTL_FW_FRM_BUFFER_H__
#define __TRTL_FW_FRM_BUFFER_H__

/**
 * Description of a buffer that we want to export to the external world
 * (host or network)
 */
struct rt_buffer {
	void *buf; /**< structure location */
	uint32_t len; /**< data structure lenght */
	/* Maybe other option later in time */
};

#endif
/**@}*/
