#include <mockturtle-rt.h>
#include <hw/mockturtle_config.h>

int main()
{
	int i, n_word = sizeof(struct trtl_config_rom) / 4;
	const struct trtl_config_rom *cfgrom = trtl_config_rom_get();
	const uint32_t *data = (const uint32_t *)cfgrom;
	uint32_t *msg;

	pr_debug("CONFIG ROM\r\n");
	mq_claim(TRTL_HMQ, 0);
	msg = mq_map_out_buffer(TRTL_HMQ, 0);
	for (i = 0; i < n_word; i++) {
		msg[i] = data[i];
		pr_debug("%p = 0x%08"PRIx32"\r\n", &data[i], data[i]);
	}
	mq_send(TRTL_HMQ, 0, n_word);

	return 0;
}
